# ==================================================================
# ArmarX properties
# ==================================================================

# ArmarX.CachePath:  Path for cache files
#  Attributes:
#  - Default:            ${HOME}/.armarx/mongo/.cache
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.CachePath = ${HOME}/.armarx/mongo/.cache


# ArmarX.DataPath:  Semicolon-separated search list for data files
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.DataPath = ""


# ArmarX.Verbosity:  Global logging level for whole application
#  Attributes:
#  - Default:            Verbose
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {Debug, Error, Fatal, Important, Info, Undefined, Verbose, Warning}
#ArmarX.Verbosity = Debug
#ArmarX.ArmarXPhysicsWorldVisualization.Verbosity = Debug

# ArmarX.DisableLogging:  Turn logging off in whole application
#  Attributes:
#  - Default:            0
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {0, 1, false, no, true, yes}
# ArmarX.DisableLogging = 0


# ArmarX.ApplicationName:  Application name
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.ApplicationName = ""


# ArmarX.DependenciesConfig:  Path to the (usually generated) config file containing all data paths of all dependent projects. This property usually does not need to be edited.
#  Attributes:
#  - Default:            ./config/dependencies.cfg
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.DependenciesConfig = ./config/dependencies.cfg


# ArmarX.Config:  Comma-separated list of configuration files 
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.Config = ""


# ==================================================================
# ArmarX.ArmarXDebugDrawer properties
# ==================================================================


# ArmarX.SimulatorViewer_EntityDrawer.DebugDrawerTopic:  Name of the DebugDrawerTopic
#  Attributes:
#  - Default:            DebugDrawerUpdates
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.SimulatorViewer_EntityDrawer.DebugDrawerTopic = DebugDrawerUpdates


# ArmarX.SimulatorViewer_EntityDrawer.ShowDebugDrawing:  The simulator implements the DebugDrawerInterface. The debug visualizations (e.g. coordinate systems) can enabled/disbaled with this flag.
#  Attributes:
#  - Default:            1
#  - Case sensitivity:   no
#  - Required:           no
ArmarX.SimulatorViewer_EntityDrawer.ShowDebugDrawing = 1

# ArmarX.SimulatorViewer_EntityDrawer.MinimumLoggingLevel:  Local logging level only for this component
#  Attributes:
#  - Default:            Undefined
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {Error, Fatal, Info, Undefined, Verbose, Warning}
ArmarX.SimulatorViewer_EntityDrawer.MinimumLoggingLevel = Verbose


# ArmarX.SimulatorViewer_EntityDrawer.ObjectName:  Name of IceGrid well-known object
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.ArmarXDebugDrawer.ObjectName = ""


# ==================================================================
# ArmarX.ArmarXPhysicsWorldVisualization properties
# ==================================================================

# ArmarX.ArmarXPhysicsWorldVisualization.ReportVisuTopicName:  The topic on which the visualization updates are published.
#  Attributes:
#  - Default:            SimulatorVisuUpdates
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.ArmarXPhysicsWorldVisualization.ReportVisuTopicName = SimulatorVisuUpdates


# ArmarX.ArmarXPhysicsWorldVisualization.MinimumLoggingLevel:  Local logging level only for this component
#  Attributes:
#  - Default:            Undefined
#  - Case sensitivity:   no
#  - Required:           no
#  - Possible values: {Error, Fatal, Info, Undefined, Verbose, Warning}
# ArmarX.ArmarXPhysicsWorldVisualization.MinimumLoggingLevel = Undefined


# ArmarX.ArmarXPhysicsWorldVisualization.ObjectName:  Name of IceGrid well-known object
#  Attributes:
#  - Default:            ""
#  - Case sensitivity:   no
#  - Required:           no
# ArmarX.ArmarXPhysicsWorldVisualization.ObjectName = ""

ArmarX.SimulatorViewer_SimulationWindow.ShowBaseCoordSystem = false
ArmarX.SimulatorViewer_SimulationWindow.AntiAliasingRenderPasses = 4
ArmarX.SimulatorViewer_SimulationWindow.Camera.x = 7190
ArmarX.SimulatorViewer_SimulationWindow.Camera.y = 4450
ArmarX.SimulatorViewer_SimulationWindow.Camera.z = 2380
ArmarX.SimulatorViewer_SimulationWindow.Camera.roll = 1.19
ArmarX.SimulatorViewer_SimulationWindow.Camera.pitch = -0.03
ArmarX.SimulatorViewer_SimulationWindow.Camera.yaw = 0.87


